Package twisted :: Package im :: Module interfaces :: Class IClient

[show private | hide private]
[frames | no frames]

## Class IClient

    Interface --+
                |
               IClient

Method Summary
| ``__init__`(self, account, chatui, logonDeferred)`
| `getGroupConversation(self, name, hide)`
| `getPerson(self, name)`
| ``joinGroup`(self, groupName)`
| ``leaveGroup`(self, groupName)`

Instance Variable Summary
`IAccount` | `account` - The Account I am a Client for.

Method Details

### __init__(self, account, chatui, logonDeferred)
(Constructor)

  Parameters:
    `account`
    (type=`IAccount`)
    `chatui`
    (type=`IChatUI`)
    `logonDeferred` - Will be called back once I am logged on.
    (type=`Deferred<twisted.internet.defer.Deferred>`)

### joinGroup(self, groupName)

### leaveGroup(self, groupName)

Instance Variable Details

### account

The Account I am a Client for.

  Type:
    `IAccount`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:02 2003 | http://epydoc.sf.net